﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Cvicenie05_pondelok
{
    public static class ExtensionMethods
    { 
        public static string FirstLetterToUpperCase(this string str)
        {
            if (string.IsNullOrEmpty(str) || string.IsNullOrWhiteSpace(str))
                return "";

            var chArray = str.ToCharArray();
            chArray[0] = Char.ToUpper(chArray[0]);
            return new string(chArray);
        }

        public static TValue GetValueOrDefault<TKey, TValue>(this IDictionary<TKey, TValue> dict, TKey key)
        {
            if (!dict.TryGetValue(key, out TValue value))
                // TValue val;   return val;
                return default(TValue); // return default; 
            return value;
        }
    }
}
